# Proyecto EDD: Asientos Eléctricos 
**Grupo**: 6 Tarde
**Miembros**: Maximiliano Ivanyuk, Jancker Almachi, Nuo Chen

--------------------------------
## Requisitos/Especificaciones

- **Regulador de tensión**
- **Microcontrolador**
- **Bus de programación y debug del microcontrolador**
- **Bus CAN**
- **Bus I2C(SPI)**
- **Comunicación USART**
- **Botonera**
- **3 motores(posición, altura, inclinación) con final de carrera**
- **Sensor digital de cinturones**
- **Memòria externa no volàtil per guardar posicions pre-programades** 

--------------------------------
## Componentes

|Nombres              | Modelo                    | Datasheet | Precio |
|---------------------|---------------------------|-----------|-------- |
|Regulador de tensión | LM1117DT-2.5              |https://rocelec.widen.net/view/pdf/2owmohkvvc/TXIIS146040-1.pdf?t.download=true&u=5oefqw        | 1,33€      |
|Microcontrolador     | PIC32MK0256MCJ048-E/7MX   |https://ww1.microchip.com/downloads/en/DeviceDoc/PIC32MK-General-Purpose-and-Motor-Control-GPGMCJ-With-CAN-FD-Family-DS60001570C.pdf          | 6,70€    |
|Motor Posición       | WRD6093-12-55-B           |https://www.transmotec.es/Download/Datasheets/Transmotec-Datasheet-WRD6093.pdf           | 53,25€      |
|Motor Inclinación    | WRD6093-12-55-B           |https://www.transmotec.es/Download/Datasheets/Transmotec-Datasheet-WRD6093.pdf           | 53,25€      |
|Motor Altura         | WRD6093-12-55-B           |https://www.transmotec.es/Download/Datasheets/Transmotec-Datasheet-WRD6093.pdf           | 53,25€      |  
|Cristal 8kHz         | NX3225GD-8MHZ-STD-CRA-3   |https://mm.digikey.com/Volume0/opasdata/d220001/medias/docus/5882/644_NX3225GD_STDCRA3.pdf           | 0,81€      |
|Cristal 32kHz        | ECS-.327-9-16-TR          |https://ecsxtal.com/store/pdf/ECX-16.pdf          | 0,56€      |
|Memoria EEPROM       | AT24CS01-SSHM-T           |https://ww1.microchip.com/downloads/aemDocuments/documents/MPD/ProductDocuments/DataSheets/20006330A pdf         | 0,23€       |
|Transceptor CAN      | TCAN330GDR                |https://www.ti.com/general/docs/suppproductinfo.tsp?distId=10&gotoUrl=https%3A%2F%2Fwww.ti.com%2Flit%2Fgpn%2Ftcan330        | 2,94€       |
|Sensor de cinturón   | MK18Series                |https://standexelectronics.com/viewer/pdfjs/web/viewer.php?file=https%3A%2F%2Fstandexelectronics.com%2Fwp-content%2Fuploads%2F2015%2F03%2FMK18_V02.pdf           | 2,24€       |
|Relés                | G5LE-1-DC12               |https://omronfs.omron.com/en_US/ecb/products/pdf/en-g5le.pdf           | 1,41€       |
|LED                  | APT2012SURCK(Kingbright)  |https://www.kingbrightusa.com/images/catalog/SPEC/APT2012SURCK.pdf           | 0,27€        |
|OP07                 | OP07CSZ-REEL7             |https://www.mouser.es/datasheet/2/609/OP07-3131382.pdf           | 1,81€        |
|Ferrita THT          | B-01-RS                   |https://www.digikey.es/es/products/detail/kemet/B-01-RS/10442402?s=N4IgTCBcDaIEIFoAMBGBAlAyiAugXyA          | 0,32€        |
|Final de carrera     | 902-6856                  |https://docs.rs-online.com/ad80/A700000008919430.pdf           | 23,21€        |


-------------------------------------------
## Diagrama de blocs

![image](https://raw.githubusercontent.com/maximsiva/Asientos-/main/DiagramaProyecto.drawio%20(1).png)

## Historial de canbios
| Data               | Autor     | Descripció                                                                                 |
| -------------------------- | ------------------- | ------------------------------------------------------------------------------------------ |
|  21/03/2023  | Maxim, Jancker y Nuo   | Primera versión del diagrama de bloques, selección de componentes ademas de PowerPoint para su presentación en clase. |
|  28/03/2023  | Maxim, Jancker y Nuo  | Corrección del diagrama de bloques, primera versión del esquemático y mejora en la selección de componentes. |
|  4/04/2023  | Maxim, Jancker y Nuo  |  Corrección del diagrama de bloques, segunda versión del esquemático y primera versión del diseño. Se aplicaron correcciones según los comentarios de la versión 1 y los conceptos discutidos en tutoría. |
| 11/04/2023  | Maxim, Jancker y Nuo  |  Actualización del esquemático. Reducción de botones, implementación de conectores en lugar de los botones. Corregimos los comentarios del profesorado. |
| 18/04/2023  | Maxim, Jancker y Nuo | Corregimos el esquemático. Implementamos GND y GNDPOWER.. Definimos netclasses y reglas de diseño del fabricante. |
| 20/04/2023  | Maxim  | Iniciamos el presupuesto. Hemos realizado el presupuesto en Excel y la Lista de Materiales (BoM). Modificamos los componentes debido a su disponibilidad y precio.|
| 20/04/2023  | Janker y Nuo  |Mejora de la última versión del Layout siguiendo los comentarios de clase.|
| 24/04/2023  | Maxim | Continuación del estudio para diferentes volúmenes de producción, excel y preparación de la entrega final del PowerPoint.|
| 24/04/2023  | Nuo | Correcciones según los comentarios del esquemático.|
| 24/04/2023  | Jancker | Correcciones según los comentarios del Layout. Redistribución de algunos componentes debido a pequeños cambios en el esquemático.|



